.press {
    padding-top: rem(25);
    padding-bottom: rem(42);

    &__header {
        color: $white;
        font-weight: 700;
        font-size: rem(22);
        line-height: rem(26);
        margin-bottom: rem(18);
        text-transform: uppercase;
        font-family: $font-family-secondary;
    }

    &__filter {
        position: relative;
        margin-bottom: rem(22);
    }

    &__switcher {
        height: rem(38);
        border: none;
        outline: none;
        color: #BABABA;
        cursor: pointer;
        font-weight: 500;
        min-width: rem(92);
        font-size: rem(14);
        line-height: rem(20);
        white-space: normal;
        text-decoration: none;
        padding: rem(8) rem(24);
        background: transparent;
        border-bottom: 1px solid #BABABA;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .25s;

        &:hover {
            color: $white;
            border-bottom-color: $white;
            transition: .25s;
        }

        &.active {
            color: $white;
            border-bottom-color: $white;
        }
    }

    &__nav {
        top: 0;
        right: 0;
        z-index: 50;
        fill: $white;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        width: rem(38);
        height: rem(38);
        position: absolute;
        display: none;
        align-items: center;
        justify-content: center;
        background: rgba(0,0,0,0.8);

        i {
            height: rem(8);
            flex-shrink: 0;
            display: inline-block;
        }
    }

    &__footer {
        display: none;
    }

    @media (min-width: $screen-md) {
        padding-top: rem(45);
        padding-bottom: rem(68);

        &__header {
            font-size: rem(34);
            line-height: rem(38);
        }

        &__filter {
            margin-bottom: rem(44);
        }

        &__footer {
            display: block;
            text-align: center;
            margin-top: rem(40);

            .btn {
                min-width: rem(200);
            }
        }
    }

    @media (min-width: $screen-xl) {
        padding-top: rem(100);
        padding-bottom: rem(85);

        &__header {
            font-size: rem(38);
            line-height: rem(46);
            margin-bottom: rem(28);
        }

        &__footer {
            text-align: left;
        }
    }

    @media (min-width: $screen-xxl) { }

}

[data-press-filter] {
    overflow: visible;

    .swiper-slide {
        width: auto;
    }
}

[data-press-content] {
    overflow: visible;

    .swiper-slide {
        height: auto;
        width: rem(225);
    }

    @media (min-width: $screen-md) {

        .swiper-wrapper {
            display: grid;
            grid-row-gap: rem(16);
            grid-column-gap: rem(16);
            grid-template-columns: 1fr 1fr 1fr;
        }

        .swiper-slide {
            width: auto;
        }
    }

    @media (min-width: $screen-xl) {

        .swiper-wrapper {
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }
}

.press-list {
    display: grid;
    grid-row-gap: rem(30);
    grid-template-columns: 1fr;
}

.press-item {
    color: #D3D3D3;
    font-size: rem(16);
    line-height: normal;
    background: #181818;
    display: flex;
    flex-direction: column;

    &__media {
        display: block;
        height: rem(240);
    }

    &__content {
        padding: rem(16) rem(28) rem(32) rem(28);
    }

    &__title {
        color: $white;
        font-weight: 700;
        font-size: rem(20);
        font-family: $font-family-secondary;

        a {
            color: $white;
            text-decoration: none;

            &:hover {
                color: $white;
                text-decoration: none;
            }
        }
    }

    &__text {
        font-weight: 500;
        margin-top: rem(14);
    }

    &__info {
        font-weight: 500;
        font-size: rem(16);
        margin-top: rem(14);
        display: flex;
        align-items: center;
    }

    &__tag {
        display: none;
    }

    &__button {
        margin-top: rem(14);
    }

    @media (min-width: $screen-md) {

        &__media {
            height: rem(384);
        }

        &__content {
            padding: rem(28) rem(28) rem(32) rem(28);
        }

        &__title {
            font-size: rem(26)
        }

        &__info {
            font-size: rem(18);
        }

        &__tag {
            display: block;
            position: relative;
            margin-left: rem(33);

            &:before {
                left: rem(-16);
                top: calc(50% - 8px);
                content: '';
                width: 1px;
                height: 16px;
                position: absolute;
                background: #6B6F78;
            }
        }
    }

    @media (min-width: $screen-lg) {
        flex-direction: row;

        &__media {
            width: rem(400);
            min-height: rem(400);
            flex-shrink: 0;
        }

        &__content {
            padding: rem(60);
            display: flex;
            align-items: center;
        }

        &__wrap {
            width: 100%;
        }
    }

    @media (min-width: $screen-xl) { }

    @media (min-width: $screen-xxl) {
        font-size: rem(16);

        &__media {
            width: rem(484);
        }

        &__header {
            font-size: rem(33);
        }
    }

}
